Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Fedora Development (http://www.linux-archive.org/fedora-development/)
-   -   Conflicts in latest update (http://www.linux-archive.org/fedora-development/342230-conflicts-latest-update.html)

Ankur Sinha 03-16-2010 05:49 AM

Conflicts in latest update
 
hey,

Trying a "yum update" gives me this. Broken update?


Transaction Check Error:
file /usr/lib64/gstreamer-0.10/libgstshapewipe.so from install of
gstreamer-plugins-good-0.10.21-1.fc12.x86_64 conflicts with file from
package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/bin/gst-camera from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/bin/gst-camera-perf from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstadpcmdec.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstaiff.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstalsaspdif.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstapexsink.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstassrender.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstbayer.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstbz2.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstcamerabin.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstcdaudio.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstcdxaparse.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstcelt.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstdc1394.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstdccp.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstdebugutilsbad.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstdirac.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstdvb.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstfestival.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstfreeze.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstfrei0r.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstgsm.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgsth264parse.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgsthdvparse.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstid3tag.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstjp2k.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstkate.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstladspa.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstlegacyresample.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstlv2.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstmetadata.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstmodplug.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstmpeg4videoparse.so from install
of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstmpegvideoparse.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstmusepack.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstmve.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstmxf.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstnsf.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstnuvdemux.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstofa.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstpcapparse.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstpnm.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstrawparse.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstrfbsrc.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstrsvg.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstscaletempoplugin.so from install
of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstsdpelem.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstsndfile.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstspeed.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgststereo.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstsubenc.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgsttta.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstvcdsrc.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstvideomeasure.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstvideosignal.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstvmnc.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libgstzbar.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/gstreamer-0.10/libresindvd.so from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/libgstbasevideo-0.10.so.0.0.0 from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/libgstphotography-0.10.so.0.0.0 from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/lib64/libgstsignalprocessor-0.10.so.0.0.0 from install of
gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts with file
from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/af/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/az/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/bg/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/ca/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/cs/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/da/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/de/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/en_GB/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/es/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/eu/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/fi/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/fr/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/hu/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/id/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/it/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/ja/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/ky/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/lt/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/lv/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/mt/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/nb/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/nl/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/or/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/pl/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/pt_BR/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/ru/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/sk/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/sq/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/sr/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/sv/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/tr/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/uk/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/vi/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
file /usr/share/locale/zh_CN/LC_MESSAGES/gst-plugins-bad-0.10.mo from
install of gstreamer-plugins-bad-free-0.10.18-1.fc12.x86_64 conflicts
with file from package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64

Error Summary
-------------

--
regards,
Ankur
- FAS : ankursinha ; franciscod @ Freenode
- gpg --keyserver pgp.mit.edu --recv-keys 5E9BF638

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Till Maas 03-16-2010 06:51 AM

Conflicts in latest update
 
On Tue, Mar 16, 2010 at 12:19:56PM +0530, Ankur Sinha wrote:

> Trying a "yum update" gives me this. Broken update?
>
>
> Transaction Check Error:
> file /usr/lib64/gstreamer-0.10/libgstshapewipe.so from install of
> gstreamer-plugins-good-0.10.21-1.fc12.x86_64 conflicts with file from
> package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
> file /usr/bin/gst-camera from install of

If you look closer, you will notice that one of the packages comes from
RPMFusion.

Regards
Till
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Ankur Sinha 03-16-2010 07:50 AM

Conflicts in latest update
 
On Tue, 2010-03-16 at 08:51 +0100, Till Maas wrote:
> On Tue, Mar 16, 2010 at 12:19:56PM +0530, Ankur Sinha wrote:
>
> > Trying a "yum update" gives me this. Broken update?
> >
> >
> > Transaction Check Error:
> > file /usr/lib64/gstreamer-0.10/libgstshapewipe.so from install of
> > gstreamer-plugins-good-0.10.21-1.fc12.x86_64 conflicts with file from
> > package gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
> > file /usr/bin/gst-camera from install of
>
> If you look closer, you will notice that one of the packages comes from
> RPMFusion.
>
> Regards
> Till
> --
hey,

I did notice that. I wasn't sure why a package from rpmfusion would
conflict with one from fedora repos. (It's in rpmfusion for a reason)
Is it being obsoleted by a fedora package (license been cleared or
something)?

What I'm saying is that this conflict makes users uninstall manually to
proceed with the update. I use yum and know a little bit about this
stuff. What about normal users who wouldn't understand why an update
using a GUI is breaking?

Isn't there a better way to handle whatever transition is taking place
here?

--
regards,
Ankur
- FAS : ankursinha ; franciscod @ Freenode
- gpg --keyserver pgp.mit.edu --recv-keys 5E9BF638

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Matěj Cepl 03-16-2010 09:16 AM

Conflicts in latest update
 
Dne 16.3.2010 09:50, Ankur Sinha napsal(a):
> I did notice that. I wasn't sure why a package from rpmfusion would
> conflict with one from fedora repos. (It's in rpmfusion for a reason)
> Is it being obsoleted by a fedora package (license been cleared or
> something)?

There are constantly modules moving between -good, -bad, -ugly packages
of gstreamer, and sometimes rpmfusion packages are not in sync with
Fedora ones. Give rpmfusion packagers some time to fix it (or join them
and help to fix it on your own).

Matěj

--
http://www.ceplovi.cz/matej/, Jabber: mcepl<at>ceplovi.cz
GPG Finger: 89EF 4BC6 288A BF43 1BAB 25C3 E09F EF25 D964 84AC

He uses statistics as a drunken man uses lamp-posts... for
support, rather than illumination.
-- Andrew Lang

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Jon Masters 03-16-2010 11:04 AM

Conflicts in latest update
 
On Tue, 2010-03-16 at 11:16 +0100, Matěj Cepl wrote:
> Dne 16.3.2010 09:50, Ankur Sinha napsal(a):
> > I did notice that. I wasn't sure why a package from rpmfusion would
> > conflict with one from fedora repos. (It's in rpmfusion for a reason)
> > Is it being obsoleted by a fedora package (license been cleared or
> > something)?
>
> There are constantly modules moving between -good, -bad, -ugly packages
> of gstreamer, and sometimes rpmfusion packages are not in sync with
> Fedora ones. Give rpmfusion packagers some time to fix it (or join them
> and help to fix it on your own).

I'd just add those gstreamer packages to my exclude config in yum for
the moment, if you don't want to deal with the breakage each time. Then
you can remove those excludes when the repos catch up with each other.

/etc/yum.conf:

exclude=gstreamer-plugins-bad-free gstreamer-plugins-good

Jon.


--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Matěj Cepl 03-16-2010 11:37 AM

Conflicts in latest update
 
Dne 16.3.2010 13:04, Jon Masters napsal(a):
> I'd just add those gstreamer packages to my exclude config in yum for
> the moment, if you don't want to deal with the breakage each time. Then
> you can remove those excludes when the repos catch up with each other.
>
> /etc/yum.conf:
>
> exclude=gstreamer-plugins-bad-free gstreamer-plugins-good

It's safer to use --skip-broken parameter of yum for awhile. These lines
in /etc/yum.conf tends to be forgotten.

Matěj

--
http://www.ceplovi.cz/matej/, Jabber: mcepl<at>ceplovi.cz
GPG Finger: 89EF 4BC6 288A BF43 1BAB 25C3 E09F EF25 D964 84AC

He uses statistics as a drunken man uses lamp-posts... for
support, rather than illumination.
-- Andrew Lang

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Ralf Corsepius 03-16-2010 11:44 AM

Conflicts in latest update
 
On 03/16/2010 01:37 PM, Matěj Cepl wrote:
> Dne 16.3.2010 13:04, Jon Masters napsal(a):
>> I'd just add those gstreamer packages to my exclude config in yum for
>> the moment, if you don't want to deal with the breakage each time. Then
>> you can remove those excludes when the repos catch up with each other.
>>
>> /etc/yum.conf:
>>
>> exclude=gstreamer-plugins-bad-free gstreamer-plugins-good
>
> It's safer to use --skip-broken parameter of yum for awhile.

Doesn't work in this particular case, because yum doesn't catch the file
conflicts this update causes.
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Alexander Kahl 03-16-2010 11:45 AM

Conflicts in latest update
 
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Thorsten Leemhuis from RPMFusion said why this is the case at the FUDCon
09 in Berlin and it will continue to be the case if nothing changes: No
collaboration and total underappreciation of RPMFusion's work. We cannot
legally endorse RPMFusion but we could very well collaborate with them
"under the hood", which doesn't happen at all - at least not to my
knowledge.

On 03/16/2010 09:50 AM, Ankur Sinha wrote:
> I did notice that. I wasn't sure why a package from rpmfusion would
> conflict with one from fedora repos. (It's in rpmfusion for a reason)
> Is it being obsoleted by a fedora package (license been cleared or
> something)?
>

- --
Alexander Kahl
GNU/Linux Software Developer
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Fedora - http://enigmail.mozdev.org/

iEYEARECAAYFAkuffU0ACgkQVTRddCFHw11mVQCgv44KlLFxqf nJ6rCN33MGj4tL
NBQAoKx790efBviXFZ4nkz6+RVJYVd0y
=DbYv
-----END PGP SIGNATURE-----
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Thorsten Leemhuis 03-16-2010 11:45 AM

Conflicts in latest update
 
Jon Masters wrote on 16.03.2010 13:04:
> On Tue, 2010-03-16 at 11:16 +0100, Matěj Cepl wrote:
>> Dne 16.3.2010 09:50, Ankur Sinha napsal(a):
>> > I did notice that. I wasn't sure why a package from rpmfusion would
>> > conflict with one from fedora repos. (It's in rpmfusion for a reason)
>> > Is it being obsoleted by a fedora package (license been cleared or
>> > something)?
>>
>> There are constantly modules moving between -good, -bad, -ugly packages
>> of gstreamer, and sometimes rpmfusion packages are not in sync with
>> Fedora ones. Give rpmfusion packagers some time to fix it (or join them
>> and help to fix it on your own).
>
> I'd just add those gstreamer packages to my exclude config in yum for
> the moment, if you don't want to deal with the breakage each time. Then
> you can remove those excludes when the repos catch up with each other.
>
> /etc/yum.conf:
>
> exclude=gstreamer-plugins-bad-free gstreamer-plugins-good

There are so many developers around on this list that know: reporting
bugs is the right way to get problems fixed and fixing things is way
better than posting workarounds to public places for various reasons --
nevertheless nobody filed a bug yet afaics :-/

CU
thl

P.S.: A updated gst-plugins-bad package that afaik solves the problem in
question was pushed to the proper RPM Fusion repos one or two hours ago,
so there is no need to report a bug anymore afaics -- but people will
continue to see the problem for the next ~24 hours or so due to
mirror-lag and caching issues
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Ankur Sinha 03-16-2010 12:33 PM

Conflicts in latest update
 
On Tue, 2010-03-16 at 13:45 +0100, Thorsten Leemhuis wrote:
> Jon Masters wrote on 16.03.2010 13:04:
> > On Tue, 2010-03-16 at 11:16 +0100, Matěj Cepl wrote:
> >> Dne 16.3.2010 09:50, Ankur Sinha napsal(a):
> >> > I did notice that. I wasn't sure why a package from rpmfusion would
> >> > conflict with one from fedora repos. (It's in rpmfusion for a reason)
> >> > Is it being obsoleted by a fedora package (license been cleared or
> >> > something)?
> >>
> >> There are constantly modules moving between -good, -bad, -ugly packages
> >> of gstreamer, and sometimes rpmfusion packages are not in sync with
> >> Fedora ones. Give rpmfusion packagers some time to fix it (or join them
> >> and help to fix it on your own).
> >
> > I'd just add those gstreamer packages to my exclude config in yum for
> > the moment, if you don't want to deal with the breakage each time. Then
> > you can remove those excludes when the repos catch up with each other.
> >
> > /etc/yum.conf:
> >
> > exclude=gstreamer-plugins-bad-free gstreamer-plugins-good
>
> There are so many developers around on this list that know: reporting
> bugs is the right way to get problems fixed and fixing things is way
> better than posting workarounds to public places for various reasons --
> nevertheless nobody filed a bug yet afaics :-/
>
> CU
> thl
>
> P.S.: A updated gst-plugins-bad package that afaik solves the problem in
> question was pushed to the proper RPM Fusion repos one or two hours ago,
> so there is no need to report a bug anymore afaics -- but people will
> continue to see the problem for the next ~24 hours or so due to
> mirror-lag and caching issues

Hey,

I'm really grateful for the info. I didn't have enough knowledge on the
transitions going on wrt gst packages which is why I hadn't reported a
bug yet. The intention of the thread here was to get more info on what
was going on.

--
regards,
Ankur
- FAS : ankursinha ; franciscod @ Freenode
- gpg --keyserver pgp.mit.edu --recv-keys 5E9BF638

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel


All times are GMT. The time now is 09:25 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.